Subject: Re: Collecting hypervisor call stats

From: Arnd Bergmann <[email-masked]>
Date: Thu, 1 Jun 2006 20:14:20 +0200

On Thursday 01 June 2006 07:26, Benjamin Herrenschmidt wrote:
>=20
> > We need to get a timestamp before and after the call. =A0mftb should do
> > the trick. =A0Also, I'd prefer to have the code that stuffs the values
> > into the array be C. =A0So, the decision is to have the assembly code
> > call out to the C routine -OR- create wrappers for the assembly routine=
s.
> > I much prefer C wrappers to touching the assembly.
>=20
> Argh... yet another use of mftb for which I'll need a cell specific
> workaround=20

I guess for statistics, we should rather avoid that overhead (and
document the fact that we did on purpose).

How fast is mftb really? Would that be significant compared to the
time spent in a fast hcall?

	Arnd <><